remove shim-signed very difficult

Bug #1922380 reported by geole0
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
Undecided
Unassigned

Bug Description

Hello
I don't want the shim-signed anymore, but I need an additional password to remove it.

This error is for all version of ubuntu.

I am sure I am entering the correct one because I entered it using a copy paste technique.

Have pity on those who do not know English well !!

apt purge shim-signed
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  mokutil shim
Veuillez utiliser « apt autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  shim-signed*
ATTENTION : Les paquets essentiels suivants vont être enlevés.
Vous NE devez PAS faire ceci, à moins de savoir exactement ce
que vous êtes en train de faire.
  shim-signed
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Après cette opération, 2 734 ko d'espace disque seront libérés.
Vous êtes sur le point de faire quelque chose de potentiellement dangereux
Pour continuer, tapez la phrase « Oui, faites ce que je vous dis ! »
 ?]Oui, faites ce que je vous dis !
Annulation.

root@a:~# export LANG=us

root@a:~# apt purge shim-signed
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  mokutil shim
Use 'apt autoremove' to remove them.
The following packages will be REMOVED:
  shim-signed*
WARNING: The following essential packages will be removed.
This should NOT be done unless you know exactly what you are doing!
  shim-signed
0 upgraded, 0 newly installed, 1 to remove and 171 not upgraded.
After this operation, 2734 kB disk space will be freed.
You are about to do something potentially harmful.
To continue type in the phrase 'Yes, do as I say!'
 ?] Yes, do as I say!
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
 LANGUAGE = "fr_FR:fr_CA",
 LC_ALL = (unset),
 LC_TIME = "fr_FR.UTF-8",
 LC_MONETARY = "fr_FR.UTF-8",
 LC_ADDRESS = "fr_FR.UTF-8",
 LC_TELEPHONE = "fr_FR.UTF-8",
 LC_NAME = "fr_FR.UTF-8",
 LC_MEASUREMENT = "fr_FR.UTF-8",
 LC_IDENTIFICATION = "fr_FR.UTF-8",
 LC_NUMERIC = "fr_FR.UTF-8",
 LC_PAPER = "fr_FR.UTF-8",
 LANG = "us"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
dpkg: warning: overriding problem because --force enabled:
dpkg: warning: this is a protected package; it should not be removed
(Reading database ... 211327 files and directories currently installed.)
Removing shim-signed (1.45+15+1552672080.a4a1fbe-0ubuntu2) ...
(Reading database ... 211314 files and directories currently installed.)
Purging configuration files for shim-signed (1.45+15+1552672080.a4a1fbe-0ubuntu2) ...
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
root@a:~#

ProblemType: Bug
DistroRelease: Ubuntu 20.10
Package: evince 3.38.0-1
ProcVersionSignature: Ubuntu 5.8.0-34.37-generic 5.8.18
Uname: Linux 5.8.0-34-generic x86_64
ApportVersion: 2.20.11-0ubuntu50.3
Architecture: amd64
CasperMD5CheckResult: pass
CurrentDesktop: ubuntu:GNOME
Date: Fri Apr 2 15:07:48 2021
InstallationDate: Installed on 2020-10-25 (159 days ago)
InstallationMedia: Ubuntu-Server 20.10 "Groovy Gorilla" - Release amd64 (20201022)
KernLog:

SourcePackage: evince
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
geole0 (geole0) wrote :
affects: evince (Ubuntu) → shim-signed (Ubuntu)
Revision history for this message
Julian Andres Klode (juliank) wrote :

This is by design. Removing shim-signed will break the boot process for normal users, and leads to an unsupported system configuration.

Changed in shim-signed (Ubuntu):
status: New → Invalid
Revision history for this message
Julian Andres Klode (juliank) wrote :

OK it seems you were actually complaining that French did not work for you. Have you tried entering it manually? Chances are copying messes things up.

Changed in shim-signed (Ubuntu):
status: Invalid → Incomplete
affects: shim-signed (Ubuntu) → apt (Ubuntu)
Revision history for this message
geole0 (geole0) wrote :

Hello.
I'm confused. When I type the words correctly, it works.

Traitement des actions différées (« triggers ») pour man-db (2.9.4-2) ...
root@a:~# apt purge shim-signed
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait
Veuillez utiliser « apt autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  shim-signed*
ATTENTION : Les paquets essentiels suivants vont être enlevés.
Vous NE devez PAS faire ceci, à moins de savoir exactement ce
que vous êtes en train de faire.
  shim-signed
0 mis à jour, 0 nouvellement installés, 1 à enlever et 41 non mis à jour.
Après cette opération, 2 734 ko d'espace disque seront libérés.
Vous êtes sur le point de faire quelque chose de potentiellement dangereux
Pour continuer, tapez la phrase « Oui, faites ce que je vous dis ! »
 ?]Oui, faites ce que je vous dis !
dpkg: avertissement: problème contourné par utilisation de --force :
dpkg: avertissement: this is a protected package; it should not be removed
(Lecture de la base de données... 153953 fichiers et répertoires déjà installés.)
Suppression de shim-signed (1.45+15+1552672080.a4a1fbe-0ubuntu2) ...
(Lecture de la base de données... 153940 fichiers et répertoires déjà installés.)
Purge des fichiers de configuration de shim-signed (1.45+15+1552672080.a4a1fbe-0ubuntu2) ...
root@a:~#

however
root@a:~# apt purge shim-signed --force
E: L'option --force de la ligne de commande n'est pas reconnue quand elle est utilisée avec d'autres options.
root@a:~# apt purge --force shim-signed
E: L'option --force de la ligne de commande n'est pas reconnue quand elle est utilisée avec d'autres options.
root@a:~#

Revision history for this message
Julian Andres Klode (juliank) wrote :

There is no force option in apt, you can use --force-remove-essential to avoid enterinh the text but it's obviously dangerous to do so.

As the --force message clearly stated, it comes from dpkg - which is told to force deinstallation by apt.

Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for apt (Ubuntu) because there has been no activity for 60 days.]

Changed in apt (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers